Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b.processors
Class PartInventory

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--examples.e2e.b2b.processors.AbstractProcessor
                  |
                  +--examples.e2e.b2b.processors.PartInventory

public class PartInventory
extends AbstractProcessor

The `PartInventory` processor runs business logic for the part inventory portlet (partinventory.portlet).

This class handles the following portlet webflow events (See `PortalAppflowConstants.PORTLET_WEBFLOW_EVENT_PARAMETER`) directed to the part inventory portlet:

1. bea.portal.framework.internal.refresh
2. null

The "bea.portal.framework.internal.refresh" and "null" events are handled identically. If a product has not yet been selected in the product inventory portlet a return value of `Constants.NOT_SELECTED` is returned by the `process()` method. Otherwise a `List` of parts for the selected product are obtained from the `InventoryProvider` EJB and a return value of `Constants.DISPLAY` is returned by the `process()` method.

Note: the "selectPart" event is handled by the ``QpaProcessor``.

Constructor Summary
`PartInventory()` Constructs a processor.

Method Summary
`java.lang.Object` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortalRequest portalRequest, java.lang.Object requestContext, PipelineSession session, RequestState rState, SessionState sState)` Processes webflow events directed to the part inventory portlet and runs appropriate business logic.

Methods inherited from class examples.e2e.b2b.processors.AbstractProcessor
`getAppflowEvent, getInventoryProvider, getParts, getPipelineSession, getPortalEvent, getPortletEvent, getProducts, getPurchaseManager, getRequestState, getSessionState, getTimeoutCalendar, isPortletMaximized, process, submitPO, submitQPA`

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartInventory

    public PartInventory()

  Constructs a processor.

Method Detail

### process

    public java.lang.Object process(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    PortalRequest portalRequest,
                                    java.lang.Object requestContext,
                                    PipelineSession session,
                                    RequestState rState,
                                    SessionState sState)
                             throws ProcessingException

  Processes webflow events directed to the part inventory portlet and runs appropriate business logic.

  Parameters:
    `request` - an `HttpServletRequest` to process.
    `response` - the `HttpServletRequest` associated with the request.
    `portalRequest` - the ``PortalRequest`` associated with this http request.
    `requestContext` - the webflow request context.
    `session` - the ``PipelineSession`` object associated with this request.
    `requestState` - the `RequestState` associated with this http request.
    `sessionState` - the `SessionState` associated with this user session.
  Returns:
    `Constants.NOT_SELECTED` if no part has been selected from the product inventory portlet, otherwise a value of `Constants.DISPLAY` is returned.
  Throws:
    IllegalStateException - if no product object is in the `RequestState` even though the `StateValue` of the `SessionState` indicates that it should exist.
    E2EProcessingException - if unable to create or call the `InventoryProvider` EJB.
  Overrides:
    process in class AbstractProcessor

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved